﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VeryDocTestApp
{
  class Program
  {
    static void Main(string[] args)
    {
      byte[] pdfBytes = ObjectXMLSerializer<byte[]>.Load("C#_pdfBytes_CompanySales.xml");

      // first conversion always completes successfully
      XpsConverter xpsConverter = new XpsConverter();
      byte[] xpsBytes = xpsConverter.ConvertPdfToXps(pdfBytes);
      Console.WriteLine("conversion 1 = SUCCESS");

      // second conversion completes successfully with original pdf2vec.dll (and supporting files)
      // but does NOT complete successfully with pdf2vec.dll you sent most recently
      byte[] xpsBytes2 = xpsConverter.ConvertPdfToXps(pdfBytes);
      Console.WriteLine("conversion 2 = SUCCESS");
    }
  }
}
